
package de.ivu.elect.jee.presentation.dynamicform;

public interface SelectManyMenuProperty<E> extends SelectProperty<E>, PropertyHavingValuesFilter {

  String GRID_LAYOUT = "grid";

  E[] getDefaultValue();

  E[] getValue();

  void setValue(E[] value);

  Long getColumns();

  String getLayout();

  boolean isShowSeparateItems();
}
